Is Linux 3 kernel series compatible with CentOS 6?

dongle26 asked:

For proper TPROXY support I was looking for a STABLE Linux kernel of at least version 3.2.30. Do they want us to upgrade to version 3 of the kernel? And is that compatible with CentOS 6?

My answer:


If you need 2.6.39 you can use Oracle Linux, which is an RHEL clone that provides its own kernel (which just happens to be 2.6.39). I’ve used it in a couple of places to get driver support that wasn’t present in 2.6.32.


View the full question and answer on Server Fault.

Creative Commons License
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.